<?php

//TITLE=MPlayer scripts

$title = 'MPlayer scripts';
$progname = 'mplayscript';

$text = array(
   'purpose:1. Purpose' => "

Utilities for using <a href=\"http://mplayerhq.hu/\">MPlayer</a> in
the Linux framebuffer console.

", 'mplay:1.1. Launching mplayer' => "

<pre
># mplay Naruto\ -\ 13\(sub,a1\).avi</pre>

That's it.
At the end it <a href=\"#mplayfilt\">lists the playing history.</a>

", 'mplayfilt:1.1. Listing the playing history' => "

<code>mplayfilt</code> lists which parts of the video were played, like this:
<pre class=smallerpre
>Played pos: 0.1 - 3.7
Played pos: 26.4 - 26.4 - up 22.7
Played pos: 47.4 - 47.5 - up 21.0
Played pos: 52.8 - 53.4 - right 5.3
Played pos: 61.0 - 61.4 - right 7.6
Played pos: 82.0 - 82.0 - up 20.6
Played pos: 102.0 - 102.8 - up 20.0
Played pos: 82.0 - 84.9 - down -20.8
Played pos: 90.1 - 90.7 - right 5.2
Played pos: 82.0 - 181.0 - left -8.7
Paused
Played pos: 181.3 - 340.5</pre>
<p>
This is useful if you wish to locate a part to
copy to another avi file (<code>mencoder -ss # -endpos #</code>),
and a lot cleaner than dumping the whole output of mplayer anyway.

", 'mplaymode:1.1. Picking a suitable video mode' => "

<code>mplaymode</code> reads <code>/etc/fb.modes</code>
and picks the most suitable screen mode
(least blank, highest vrefresh) to play a video fullscreen.

<pre>Usage: mplaymode &lt;xres&gt; &lt;yres&gt;</pre>

");
include '/WWW/progdesc.php';
